Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.auth
Class JDBCLoginService

    java.lang.Object
      org.jdesktop.beans.AbstractBean
          org.jdesktop.swingx.auth.LoginService
              org.jdesktop.swingx.auth.JDBCLoginService

    public class JDBCLoginService

extends LoginService

A login service for connecting to SQL based databases via JDBC

Author:
  rbair

Constructor Summary
`JDBCLoginService()` Default JavaBean constructor
`JDBCLoginService(java.lang.String jndiContext)` Create a new JDBCLoginService and initializes it to connect to a database using the given params.
`JDBCLoginService(java.lang.String driver, java.lang.String url)` Create a new JDBCLoginService and initializes it to connect to a database using the given params.
`JDBCLoginService(java.lang.String driver, java.lang.String url, java.util.Properties props)` Create a new JDBCLoginService and initializes it to connect to a database using the given params.

Method Summary
`boolean` | `authenticate(java.lang.String name, char[] password, java.lang.String server)` This method is intended to be implemented by clients wishing to authenticate a user with a given password.
`java.sql.Connection` | `getConnection()`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getUrl()`
`void` | `setConnection(java.sql.Connection conn)`
`void` | `setProperties(java.util.Properties properties)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class org.jdesktop.swingx.auth.LoginService
`addLoginListener, cancelAuthentication, getServer, getSynchronous, getUserRoles, removeLoginListener, setServer, setSynchronous, startAuthentication`

Methods inherited from class org.jdesktop.beans.AbstractBean
`addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, addVetoableChangeListener, clone, fireIndexedPropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, fireVetoableChange, getPropertyChangeListeners, getPropertyChangeListeners, getVetoableChangeListeners, getVetoableChangeListeners, hasPropertyChangeListeners, hasVetoableChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, removeVetoableChangeListener`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCLoginService

    public JDBCLoginService(java.lang.String driver,
                            java.lang.String url)

  Create a new JDBCLoginService and initializes it to connect to a database using the given params.

  Parameters:
    `driver` -
    `url` -

### JDBCLoginService

    public JDBCLoginService(java.lang.String driver,
                            java.lang.String url,
                            java.util.Properties props)

  Create a new JDBCLoginService and initializes it to connect to a database using the given params.

  Parameters:
    `driver` -
    `url` -
    `props` -

### JDBCLoginService

    public JDBCLoginService(java.lang.String jndiContext)

  Create a new JDBCLoginService and initializes it to connect to a database using the given params.

  Parameters:
    `jndiContext` -

### JDBCLoginService

    public JDBCLoginService()

  Default JavaBean constructor

Method Detail

### getUrl

    public java.lang.String getUrl()

  Returns:
    the JDBC connection url

### setUrl

    public void setUrl(java.lang.String url)

  Parameters:
    `url` - set the JDBC connection url

### getProperties

    public java.util.Properties getProperties()

  Returns:
    JDBC connection properties

### setProperties

    public void setProperties(java.util.Properties properties)

  Parameters:
    `properties` - miscellaneous JDBC properties to use when connecting to the database via the JDBC driver

### getConnection

    public java.sql.Connection getConnection()

### setConnection

    public void setConnection(java.sql.Connection conn)

### authenticate

    public boolean authenticate(java.lang.String name,
                                char[] password,
                                java.lang.String server)
                         throws java.lang.Exception

  Description copied from class: `LoginService`
  This method is intended to be implemented by clients wishing to authenticate a user with a given password. Clients should implement the authentication in a manner that the authentication can be cancelled at any time.

  Specified by:
    `authenticate` in class `LoginService`
  Parameters:
    `name` - user name
    `password` - user password
    `server` - Must be either a valid JDBC URL for the type of JDBC driver you are using, or must be a valid JNDIContext from which to get the database connection
  Returns:
    `true` on authentication success
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.